Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network105.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
105.0.0.0
Broadcast address
105.127.255.255
First usable
105.0.0.1
Last usable
105.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 69000000 · Integer 1761607680 to 1769996287
Reverse DNS zones
0.105.in-addr.arpa
1.105.in-addr.arpa
2.105.in-addr.arpa
3.105.in-addr.arpa
4.105.in-addr.arpa
5.105.in-addr.arpa
6.105.in-addr.arpa
7.105.in-addr.arpa
8.105.in-addr.arpa
9.105.in-addr.arpa
10.105.in-addr.arpa
11.105.in-addr.arpa
12.105.in-addr.arpa
13.105.in-addr.arpa
14.105.in-addr.arpa
15.105.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101001.00000000.00000000.00000000105.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01101001.00000000.00000000.00000000105.0.0.0
Broadcast01101001.01111111.11111111.11111111105.127.255.255
Split into smaller subnets/16

105.0.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1105.0.0.0/16105.0.0.1 to 105.0.255.254105.0.255.25565,534
2105.1.0.0/16105.1.0.1 to 105.1.255.254105.1.255.25565,534
3105.2.0.0/16105.2.0.1 to 105.2.255.254105.2.255.25565,534
4105.3.0.0/16105.3.0.1 to 105.3.255.254105.3.255.25565,534
5105.4.0.0/16105.4.0.1 to 105.4.255.254105.4.255.25565,534
6105.5.0.0/16105.5.0.1 to 105.5.255.254105.5.255.25565,534
7105.6.0.0/16105.6.0.1 to 105.6.255.254105.6.255.25565,534
8105.7.0.0/16105.7.0.1 to 105.7.255.254105.7.255.25565,534
9105.8.0.0/16105.8.0.1 to 105.8.255.254105.8.255.25565,534
10105.9.0.0/16105.9.0.1 to 105.9.255.254105.9.255.25565,534
11105.10.0.0/16105.10.0.1 to 105.10.255.254105.10.255.25565,534
12105.11.0.0/16105.11.0.1 to 105.11.255.254105.11.255.25565,534
13105.12.0.0/16105.12.0.1 to 105.12.255.254105.12.255.25565,534
14105.13.0.0/16105.13.0.1 to 105.13.255.254105.13.255.25565,534
15105.14.0.0/16105.14.0.1 to 105.14.255.254105.14.255.25565,534
16105.15.0.0/16105.15.0.1 to 105.15.255.254105.15.255.25565,534
17105.16.0.0/16105.16.0.1 to 105.16.255.254105.16.255.25565,534
18105.17.0.0/16105.17.0.1 to 105.17.255.254105.17.255.25565,534
19105.18.0.0/16105.18.0.1 to 105.18.255.254105.18.255.25565,534
20105.19.0.0/16105.19.0.1 to 105.19.255.254105.19.255.25565,534
21105.20.0.0/16105.20.0.1 to 105.20.255.254105.20.255.25565,534
22105.21.0.0/16105.21.0.1 to 105.21.255.254105.21.255.25565,534
23105.22.0.0/16105.22.0.1 to 105.22.255.254105.22.255.25565,534
24105.23.0.0/16105.23.0.1 to 105.23.255.254105.23.255.25565,534
25105.24.0.0/16105.24.0.1 to 105.24.255.254105.24.255.25565,534
26105.25.0.0/16105.25.0.1 to 105.25.255.254105.25.255.25565,534
27105.26.0.0/16105.26.0.1 to 105.26.255.254105.26.255.25565,534
28105.27.0.0/16105.27.0.1 to 105.27.255.254105.27.255.25565,534
29105.28.0.0/16105.28.0.1 to 105.28.255.254105.28.255.25565,534
30105.29.0.0/16105.29.0.1 to 105.29.255.254105.29.255.25565,534
31105.30.0.0/16105.30.0.1 to 105.30.255.254105.30.255.25565,534
32105.31.0.0/16105.31.0.1 to 105.31.255.254105.31.255.25565,534
33105.32.0.0/16105.32.0.1 to 105.32.255.254105.32.255.25565,534
34105.33.0.0/16105.33.0.1 to 105.33.255.254105.33.255.25565,534
35105.34.0.0/16105.34.0.1 to 105.34.255.254105.34.255.25565,534
36105.35.0.0/16105.35.0.1 to 105.35.255.254105.35.255.25565,534
37105.36.0.0/16105.36.0.1 to 105.36.255.254105.36.255.25565,534
38105.37.0.0/16105.37.0.1 to 105.37.255.254105.37.255.25565,534
39105.38.0.0/16105.38.0.1 to 105.38.255.254105.38.255.25565,534
40105.39.0.0/16105.39.0.1 to 105.39.255.254105.39.255.25565,534
41105.40.0.0/16105.40.0.1 to 105.40.255.254105.40.255.25565,534
42105.41.0.0/16105.41.0.1 to 105.41.255.254105.41.255.25565,534
43105.42.0.0/16105.42.0.1 to 105.42.255.254105.42.255.25565,534
44105.43.0.0/16105.43.0.1 to 105.43.255.254105.43.255.25565,534
45105.44.0.0/16105.44.0.1 to 105.44.255.254105.44.255.25565,534
46105.45.0.0/16105.45.0.1 to 105.45.255.254105.45.255.25565,534
47105.46.0.0/16105.46.0.1 to 105.46.255.254105.46.255.25565,534
48105.47.0.0/16105.47.0.1 to 105.47.255.254105.47.255.25565,534
49105.48.0.0/16105.48.0.1 to 105.48.255.254105.48.255.25565,534
50105.49.0.0/16105.49.0.1 to 105.49.255.254105.49.255.25565,534
51105.50.0.0/16105.50.0.1 to 105.50.255.254105.50.255.25565,534
52105.51.0.0/16105.51.0.1 to 105.51.255.254105.51.255.25565,534
53105.52.0.0/16105.52.0.1 to 105.52.255.254105.52.255.25565,534
54105.53.0.0/16105.53.0.1 to 105.53.255.254105.53.255.25565,534
55105.54.0.0/16105.54.0.1 to 105.54.255.254105.54.255.25565,534
56105.55.0.0/16105.55.0.1 to 105.55.255.254105.55.255.25565,534
57105.56.0.0/16105.56.0.1 to 105.56.255.254105.56.255.25565,534
58105.57.0.0/16105.57.0.1 to 105.57.255.254105.57.255.25565,534
59105.58.0.0/16105.58.0.1 to 105.58.255.254105.58.255.25565,534
60105.59.0.0/16105.59.0.1 to 105.59.255.254105.59.255.25565,534
61105.60.0.0/16105.60.0.1 to 105.60.255.254105.60.255.25565,534
62105.61.0.0/16105.61.0.1 to 105.61.255.254105.61.255.25565,534
63105.62.0.0/16105.62.0.1 to 105.62.255.254105.62.255.25565,534
64105.63.0.0/16105.63.0.1 to 105.63.255.254105.63.255.25565,534
65105.64.0.0/16105.64.0.1 to 105.64.255.254105.64.255.25565,534
66105.65.0.0/16105.65.0.1 to 105.65.255.254105.65.255.25565,534
67105.66.0.0/16105.66.0.1 to 105.66.255.254105.66.255.25565,534
68105.67.0.0/16105.67.0.1 to 105.67.255.254105.67.255.25565,534
69105.68.0.0/16105.68.0.1 to 105.68.255.254105.68.255.25565,534
70105.69.0.0/16105.69.0.1 to 105.69.255.254105.69.255.25565,534
71105.70.0.0/16105.70.0.1 to 105.70.255.254105.70.255.25565,534
72105.71.0.0/16105.71.0.1 to 105.71.255.254105.71.255.25565,534
73105.72.0.0/16105.72.0.1 to 105.72.255.254105.72.255.25565,534
74105.73.0.0/16105.73.0.1 to 105.73.255.254105.73.255.25565,534
75105.74.0.0/16105.74.0.1 to 105.74.255.254105.74.255.25565,534
76105.75.0.0/16105.75.0.1 to 105.75.255.254105.75.255.25565,534
77105.76.0.0/16105.76.0.1 to 105.76.255.254105.76.255.25565,534
78105.77.0.0/16105.77.0.1 to 105.77.255.254105.77.255.25565,534
79105.78.0.0/16105.78.0.1 to 105.78.255.254105.78.255.25565,534
80105.79.0.0/16105.79.0.1 to 105.79.255.254105.79.255.25565,534
81105.80.0.0/16105.80.0.1 to 105.80.255.254105.80.255.25565,534
82105.81.0.0/16105.81.0.1 to 105.81.255.254105.81.255.25565,534
83105.82.0.0/16105.82.0.1 to 105.82.255.254105.82.255.25565,534
84105.83.0.0/16105.83.0.1 to 105.83.255.254105.83.255.25565,534
85105.84.0.0/16105.84.0.1 to 105.84.255.254105.84.255.25565,534
86105.85.0.0/16105.85.0.1 to 105.85.255.254105.85.255.25565,534
87105.86.0.0/16105.86.0.1 to 105.86.255.254105.86.255.25565,534
88105.87.0.0/16105.87.0.1 to 105.87.255.254105.87.255.25565,534
89105.88.0.0/16105.88.0.1 to 105.88.255.254105.88.255.25565,534
90105.89.0.0/16105.89.0.1 to 105.89.255.254105.89.255.25565,534
91105.90.0.0/16105.90.0.1 to 105.90.255.254105.90.255.25565,534
92105.91.0.0/16105.91.0.1 to 105.91.255.254105.91.255.25565,534
93105.92.0.0/16105.92.0.1 to 105.92.255.254105.92.255.25565,534
94105.93.0.0/16105.93.0.1 to 105.93.255.254105.93.255.25565,534
95105.94.0.0/16105.94.0.1 to 105.94.255.254105.94.255.25565,534
96105.95.0.0/16105.95.0.1 to 105.95.255.254105.95.255.25565,534
97105.96.0.0/16105.96.0.1 to 105.96.255.254105.96.255.25565,534
98105.97.0.0/16105.97.0.1 to 105.97.255.254105.97.255.25565,534
99105.98.0.0/16105.98.0.1 to 105.98.255.254105.98.255.25565,534
100105.99.0.0/16105.99.0.1 to 105.99.255.254105.99.255.25565,534
101105.100.0.0/16105.100.0.1 to 105.100.255.254105.100.255.25565,534
102105.101.0.0/16105.101.0.1 to 105.101.255.254105.101.255.25565,534
103105.102.0.0/16105.102.0.1 to 105.102.255.254105.102.255.25565,534
104105.103.0.0/16105.103.0.1 to 105.103.255.254105.103.255.25565,534
105105.104.0.0/16105.104.0.1 to 105.104.255.254105.104.255.25565,534
106105.105.0.0/16105.105.0.1 to 105.105.255.254105.105.255.25565,534
107105.106.0.0/16105.106.0.1 to 105.106.255.254105.106.255.25565,534
108105.107.0.0/16105.107.0.1 to 105.107.255.254105.107.255.25565,534
109105.108.0.0/16105.108.0.1 to 105.108.255.254105.108.255.25565,534
110105.109.0.0/16105.109.0.1 to 105.109.255.254105.109.255.25565,534
111105.110.0.0/16105.110.0.1 to 105.110.255.254105.110.255.25565,534
112105.111.0.0/16105.111.0.1 to 105.111.255.254105.111.255.25565,534
113105.112.0.0/16105.112.0.1 to 105.112.255.254105.112.255.25565,534
114105.113.0.0/16105.113.0.1 to 105.113.255.254105.113.255.25565,534
115105.114.0.0/16105.114.0.1 to 105.114.255.254105.114.255.25565,534
116105.115.0.0/16105.115.0.1 to 105.115.255.254105.115.255.25565,534
117105.116.0.0/16105.116.0.1 to 105.116.255.254105.116.255.25565,534
118105.117.0.0/16105.117.0.1 to 105.117.255.254105.117.255.25565,534
119105.118.0.0/16105.118.0.1 to 105.118.255.254105.118.255.25565,534
120105.119.0.0/16105.119.0.1 to 105.119.255.254105.119.255.25565,534
121105.120.0.0/16105.120.0.1 to 105.120.255.254105.120.255.25565,534
122105.121.0.0/16105.121.0.1 to 105.121.255.254105.121.255.25565,534
123105.122.0.0/16105.122.0.1 to 105.122.255.254105.122.255.25565,534
124105.123.0.0/16105.123.0.1 to 105.123.255.254105.123.255.25565,534
125105.124.0.0/16105.124.0.1 to 105.124.255.254105.124.255.25565,534
126105.125.0.0/16105.125.0.1 to 105.125.255.254105.125.255.25565,534
127105.126.0.0/16105.126.0.1 to 105.126.255.254105.126.255.25565,534
128105.127.0.0/16105.127.0.1 to 105.127.255.254105.127.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses